import {get,post} from '@/api/index'
// 帮助中心
export default{
  // 分类列表
  classifyList:params=>{
    return get('/help_doc/classify/list',params)
  },
  // 新增分类
  classifyAdd:params=>{
    return post('/help_doc/classify/add',params)
  },
  // 编辑分类
  classifyEdit:params=>{
    return post('/help_doc/classify/edit',params)
  },
  // 移动分类
  classifyMove:params=>{
    return post('/help_doc/classify/move',params)
  },
  // 删除分类
  classifyDelete:params=>{
    return get('/help_doc/classify/delete',params)
  },
  // 分类权限
  classifyAuth:params=>{
    return post('/help_doc/classify/visible/edit',params)
  },

  // 获取文章列表
  getDocmentList:params=>{
    return get('/help_doc/list',params)
  },
  // 删除文章
  deleteDocment:params=>{
    return post('/help_doc/delete',params)
  },
  // 发布\取消发布文章
  publishDocment:params=>{
    return post('/help_doc/publish',params)
  },
  // 新增文章
  addDocment:params=>{
    return post('/help_doc/add',params)
  },
  // 文章详情
  docmentInfo:params=>{
    return get('/help_doc/detail',params)
  }
}
