import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/training',
    name:'Training',
    component:LayoutIndex,
    meta:{
      title:'培训管理'
    },
    children:[
      {
        path:'trainingVideo',
        name:'TrainingVideo',
        component:()=>import('@/views/training/videoManage.vue'),
        meta:{
          title:'视频管理'
        },
      },
      {
        path:'modifyVideo',
        name:'ModifyVideo',
        component:()=>import('@/views/training/modifyVideoPage.vue'),
        meta:{
          title:'编辑视频',
          pathFrom: "trainingVideo",
          pathName: "视频管理",
        },
      },
      {
        path:'trainingLabel',
        name:'TrainingLabel',
        component:()=>import('@/views/training/labelManage.vue'),
        meta:{
          title:'标签管理'
        },
      },
      {
        path:'trainingClassify',
        name:'TrainingClassify',
        component:()=>import('@/views/training/classifyManage.vue'),
        meta:{
          title:'分类管理'
        },
      }
    ]
  }
]