//ETA试用列表 表格column 和mock数据

//ETA试用列表
export const etaTrialColumn = [
  {
    colKey:'UserName',
    title:'姓名'
  },
  {
    colKey:'CompanyName',
    title:'公司名称'
  },{
    colKey:'Position',
    title:'职位',
    minWidth:'50'
  },{
    colKey:'Seller',
    title:'申请人',
    minWidth:'50'
  },{
    colKey:'Expiration',
    title:'账号到期时长',
    minWidth:'80',
    sorter: true
  },{
    colKey:'ModifyTime',
    title:'账号更新时间',
    minWidth:'120',
    sorter: true
  },{
    colKey:'LastLoginTime',
    title:'最近一次登录时间',
    minWidth:'120',
    sorter: true
  },{
    colKey:'LastLoginDuration',
    title:'最近一次登录时长',
    sorter: true
  },{
    colKey:'LoginNum',
    title:'累计登录次数',
    sorter: true
  },{
    colKey:'ActiveTime',
    title:'累计活跃时长',
    sorter: true
  },{
    colKey:'IndexNum',
    title:'累计添加指标',
    minWidth:'80',
    sorter: true
  },
  {
    colKey:'ChartNum',
    title:'累计添加图表',
    minWidth:'80',
    sorter: true
  },
  {
    colKey:'InterestModule',
    title:'感兴趣模块',
    minWidth:'140'
  },
]

//管理员-审批列表 非管理员-我的审批
export const adminApprovalList=[
  {
    colKey:'UserName',
    title:'姓名'
  },
  {
    colKey:'CompanyName',
    title:'公司名称'
  },{
    colKey:'Position',
    title:'职位',
    minWidth:'50'
  },
  {
    colKey:'Mobile',
    title:'手机号码',
  },{
    colKey:'Seller',
    title:'申请人',
    minWidth:'50'
  },{
    colKey:'ModifyTime',
    title:'提交申请时间',
    minWidth:'120'
  },{
    colKey:'ApprovalContent',
    title:'待审内容',
  },{
    colKey:'ApprovalStatus',
    title:'当前状态',
  },
  {
    align: 'center', colKey: 'opt', title: '操作'
  }
]

//非管理员-账号列表
export const approvedList=[
  {
    colKey: 'row-select',
    type: 'multiple',
  },
  {
    colKey:'UserName',
    title:'姓名'
  },
  {
    colKey:'CompanyName',
    title:'公司名称'
  },{
    colKey:'Position',
    title:'职位',
    minWidth:'50'
  },
  {
    colKey:'Mobile',
    title:'手机号码',
  },{
    colKey:'Account',
    title:'账号',
    minWidth:'50'
  },{
    colKey:'Password',
    title:'密码',
    minWidth:'50'
  },{
    colKey:'Enabled',
    title:'用户状态',
  },{
    colKey:'Expiration',
    title:'账号到期时长',
    minWidth:'80',
    sorter: true
  },{
    colKey:'ModifyTime',
    title:'更新时间',
    minWidth:'80',
    sorter: true
  },
  {
    align: 'center', colKey: 'opt', title: '操作'
  }
]

//申请启用审批/申请账号审批
export const applyApprovalList=[
  {
    colKey:'UserName',
    title:'姓名'
  },{
    colKey:'CompanyName',
    title:'公司名称'
  },{
    colKey:'Position',
    title:'职位'
  },{
    colKey:'Mobile',
    title:'手机号'
  },{
    colKey:'Seller',
    title:'申请人'
  },
  {
    align: 'center', colKey: 'opt', title: '操作'
  }
]

//审批列表-当前状态
/* export const ApprovalStatus = {
  0:'未审批',
  1:'已审批',
  2:'已撤回',
  3:'已驳回'
} */
export const ApprovalStatus={
  '待审批':0,
  '已审批':1,
  '已撤回':2,
  '驳回':3
}
//启用,账号重复提示弹窗
export const textMap = {
  0:'该用户账号已禁用，是否申请启用',
  1:'该用户信息已提交申请 ，请勿重复提交'
}
//移动、批量移动弹窗
export const titleMap = {
  1:'移动',
  2:'批量移动'
}

