import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/etaTrial',
    name:'EtaTrial',
    component:LayoutIndex,
    meta:{
      title:'ETA试用管理'
    },
    children:[
      {
        path: "etaTrialList",
        component: () => import("@/views/etaTrial/etaTrialList.vue"),
        name: "etaTrialList",
        hidden: false,
        meta: {
          title:'ETA试用列表'
        },
      },
      {
        path: "etaApprovalList",
        component: () => import("@/views/etaTrial/etaTrialList.vue"),
        name: "etaApprovalList",
        hidden: false,
        meta: {
          pathFrom: "etaTrialList",
          pathName: "ETA试用管理",
          title:'客户列表'
        },
      },
      {
        path: "etaAddApproval",
        component: () => import("@/views/etaTrial/addApproval.vue"),
        name: "etaAddApproval",
        hidden: false,
        meta: {
          pathFrom: "etaTrialList",
          pathName: "ETA试用管理",
          title:'新增申请'
        },
      },
    ]
  },
]